Kullanıcılar

Kimliklere göre kullanıcıları getir

GET /v1/users/batch reads 1 per id kredi

Tek çağrıda sayısal kimliğe göre 50'ye kadar hesabın profili. İstenen kimlik başına 1 kredi harcar.

Sorgu parametreleri

Sorgu parametresiTürAnlamı
ids *string (1–50 ids)Virgülle ayrılmış sayısal hesap kimlikleri, 1–50

yanıt

items, bulunan profilleri isteğin sırasında tutar; missing hiçbir hesaba çözümlenmeyen kimlikleri listeler.

Durum: 200, 400, 429, 502

istek
curl https://api.xsignalfeed.com/v1/users/batch?ids=1652541,11348282,999999999999999999 \
  -H "Authorization: Bearer xsf_your_key"
yanıt · 200 / 400
{
  "items": [
    {
      "id": "1652541",
      "name": "Reuters",
      "screen_name": "Reuters",
      "bio": "Top and breaking news, pictures and videos from Reuters…",
      "location": "Around the world",
      "url": "https://t.co/…",
      "avatar": "https://pbs.twimg.com/profile_images/…",
      "banner": "https://pbs.twimg.com/profile_banners/1652541/…",
      "pinned": null,
      "verified": true,
      "protected": false,
      "followers": 26367695,
      "following": 1195,
      "tweets": 1395836
    },
    {
      "id": "11348282",
      "name": "NASA",
      "screen_name": "NASA",
      "bio": "Making the seemingly impossible, possible. ✨",
      "location": "Pale Blue Dot",
      "…": "…"
    }
  ],
  "missing": [
    "999999999999999999"
  ]
}